/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef SETUPWIZARDWIDGET_H
#define SETUPWIZARDWIDGET_H

#include "libmacro.h"

#include "settingswidget.h"

class SetupWizardObject;

class EXPORT_DLL SetupWizardWidget : public SettingsWidget
{
  Q_OBJECT
  public:
    SetupWizardWidget ( SetupWizardObject *newObject, QWidget *parent = 0, Qt::WindowFlags flags = 0 );
    virtual ~SetupWizardWidget(){};
    SetupWizardObject *wizardObject();

  public slots:
    virtual bool finish();
    virtual bool saveSettings() = 0;

  private:
    SetupWizardObject *parentObject;
};

#endif // SETUPWIZARDWIDGET_H
