/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MEDIUMOWNERWIDGETTEST_H
#define MEDIUMOWNERWIDGETTEST_H

#include <QObject>

#include <dbtestinit.h>

class Medium;

class MediumOwnerWidgetTest : public QObject
{
	Q_OBJECT
	private slots:
		void initTestCase();

		/**
			* @todo check useOldTransaction
			*/
		void testDBOpen();
		/**
			* @todo select the row by simulate a click into the view to test the clicked() signal and to test button enabling
			*/
		void changingOwner();
		
	private:
		Medium *prepareMedium();
		
		unsigned int medId;
		MediumKeys keys;
};

#endif // MEDIUMOWNERWIDGETTEST_H
