/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef DEPENDENCIES_H
#define DEPENDENCIES_H

#include <mdialog.h>
#include "ui_dependencies.h"

#include <QStandardItemModel>
#include <QDomElement>

class Dependencies : public MDialog, private Ui::Dependencies
{
	Q_OBJECT

	public:
		Dependencies ( QWidget* parent = 0, Qt::WFlags fl = 0 );
		~Dependencies();
		void init();


	public slots:


	protected:


	protected slots:

	private:
		QStandardItemModel model;

		void addApp ( QString file );
		void addDependencies ( QDomElement dependency, QStandardItem *item );
};

#endif

