/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "etoolbar.h"

#include <QSettings>

EToolBar::EToolBar(const QString& title, QWidget* parent)
	: QToolBar(title, parent)
{
	init();
}

EToolBar::EToolBar(QWidget* parent)
	: QToolBar(parent)
{
	init();
}

void EToolBar::init()
{
	QSettings qSettings;
  if(qSettings.value ( "iconsAndText", false ).toBool())
		setToolButtonStyle(Qt::ToolButtonTextUnderIcon);
}

#include "etoolbar.moc"
